'use strict';

var _nextion = require('./nextion');

var _protocol = require('./protocol');

var _uart = require('./uart');

function instantiate(uart, opts) {
  return new Promise(function (resolve) {
    var nextion = new _nextion.Nextion(uart, opts, function () {
      resolve(nextion);
    });
  });
}

_nextion.Nextion.from = _nextion.Nextion.create = function (port, opts) {
  return _uart.UART.from(port, opts).then(instantiate);
};

_nextion.Nextion.fromSerial = function (serialPort, opts) {
  return _uart.UART.fromSerial(serialPort, opts).then(instantiate);
};

_nextion.Nextion.fromPort = function (portName, opts) {
  return _uart.UART.fromPort(portName, opts).then(instantiate);
};

_nextion.Nextion.NextionProtocol = _protocol.NextionProtocol;
_nextion.Nextion.UART = _uart.UART;

module.exports = _nextion.Nextion;
//# sourceMappingURL=index.js.map